Subject: Re: [bug#29703] Improve Krita

From: Kei Kebreau <[email-masked]>
Date: Sat, 16 Dec 2017 16:53:24 -0500

Mark Meyer <[email-masked]> writes:

> Thanks for your patience, from the log of gnunet.scm I think it should
> be somthing like the appended one.
>
> Cheers, Mark
>
> On Thu, Dec 14, 2017, at 15:39, ng0 wrote:
>> Hi,
>> 
>> we're almost there. It's just a couple of fixes that need to be applied:
>> 
>> Mark Meyer transcribed 7.7K bytes:
>> > Ok, see the following patch. This should also be aligned with the commit
>> > message conventions.
>> > 
>> > On Thu, Dec 14, 2017, at 12:55, ng0 wrote:
>> > > Hi Mark,
>> > > 
>> > > Mark Meyer transcribed 5.4K bytes:
>> > > > Hi,
>> > > > I'm currently testing several changes to Krita, I've broken stuff up
>> > > > into three commits/patches which are attached.
>> > > > 
>> > > > These
>> > > >   - add a dependency to vc (vectorize Krita)
>> > > >   - enable OpenEXR
>> > > >   - enable JPEG (via libjpeg-turbo)
>> > > 
>> > > Thanks for the work on Krita.
>> > > I haven't tested them, but it looks good.
>> > > It would be okay to squash these commits into one, we've done this
>> > > in the past in similar cases (see `git log gnu/packages/gnunet.scm`
>> > > for libextractor for example).
>> > > 
>> > > > Cheers, Mark
>> 
>> > From 158497a7bf1b5672018189101fa5448623cecb1b Mon Sep 17 00:00:00 2001
>> > From: Mark Meyer <[email-masked]>
>> > Date: Wed, 13 Dec 2017 23:49:09 +0100
>> > Subject: [PATCH] gnu: krita: Enhance krita
>> > 
>> > * gnu/packages/kde.scm (kirta)[inputs]: Add libjpeg-turbo to inputs.
>> > * gnu/packages/kde.scm (krita)[inputs]: Add vc to native-inputs.
>> > * gnu/packages/kde.scm (krita)[inputs]: Add OpenEXR support.
>> 
>> I would write:
>> 
>> gnu: krita: Enhance krita.
>> 
>> * gnu/packages/kde.scm (krita)[inputs]: Add 'libjpeg-turbo', 'ilmbase',
>> 'openexr'.
>> (native-inputs): Add 'vc'.
>> (arguments)[configure-flags]: Add 'CMAKE_CXX_FLAGS' for ilmbase.
>> 
>> 
>> 
>> Or something like that. I'm not sure about the configure-flags wording.
>> I don't know Krita so I can't really review if your changes work. I'll
>> build it later tonight and see if it builds for me.
>> 
>> > ---
>> >  gnu/packages/kde.scm | 13 ++++++++++---
>> >  1 file changed, 10 insertions(+), 3 deletions(-)
>> > 
>> > diff --git a/gnu/packages/kde.scm b/gnu/packages/kde.scm
>> > index b5a3df2ca..89ad30ecd 100644
>> > --- a/gnu/packages/kde.scm
>> > +++ b/gnu/packages/kde.scm
>> > @@ -256,14 +256,18 @@ plugins, as well as code to create plugins, or complete applications.")
>> >               (string-append "-DWITH_LibRaw="
>> >                              (assoc-ref %build-inputs "libraw"))
>> >               (string-append "-DWITH_TIFF="
>> > -                            (assoc-ref %build-inputs "libtiff")))))
>> > +                            (assoc-ref %build-inputs "libtiff"))
>> > +             (string-append "-DCMAKE_CXX_FLAGS=-I"
>> > +                            (assoc-ref %build-inputs "ilmbase")
>> > +                            "/include/OpenEXR"))))
>> >      (native-inputs
>> >       `(("curl" ,curl)
>> >         ("eigen" ,eigen)
>> >         ("extra-cmake-modules" ,extra-cmake-modules)
>> >         ("gettext-minimal" ,gettext-minimal)
>> >         ("kitemmodels" ,kitemmodels)
>> > -       ("qwt" ,qwt)))
>> > +       ("qwt" ,qwt)
>> > +       ("vc" ,vc)))
>> >      (inputs
>> >       `(("qtbase" ,qtbase)
>> >         ("qtdeclarative" ,qtdeclarative)
>> > @@ -287,6 +291,7 @@ plugins, as well as code to create plugins, or complete applications.")
>> >         ("exiv2" ,exiv2)
>> >         ("lcms" ,lcms)
>> >         ("libpng" ,libpng)
>> > +       ("libjpeg-turbo" ,libjpeg-turbo)
>> >         ("zlib" ,zlib)
>> >         ("libx11" ,libx11)
>> >         ("libxcb" ,libxcb)
>> > @@ -296,7 +301,9 @@ plugins, as well as code to create plugins, or complete applications.")
>> >         ("poppler-qt5" ,poppler-qt5)
>> >         ("libraw" ,libraw)
>> >         ("libtiff" ,libtiff)
>> > -       ("perl" ,perl)))
>> > +       ("perl" ,perl)
>> > +       ("ilmbase" ,ilmbase)
>> > +       ("openexr" ,openexr)))
>> >      (home-page "https://krita.org")
>> >      (synopsis "Digital painting application")
>> >      (description
>> > -- 
>> > 2.15.0
>> > 
>> 
>> 
>> -- 
>> GnuPG: A88C8ADD129828D7EAC02E52E22F9BBFEE348588
>> GnuPG: https://c.n0.is/ng0_pubkeys/tree/keys
>>   WWW: https://n0.is
>> Email had 1 attachment:
>> + signature.asc
>>   1k (application/pgp-signature)

I made tiny changes to the commit log and pushed this to master; you can
close this bug.

Thanks for contributing,
Kei